class GameData:
    default_data = {'timer': 0}

    def __init__(self, data=None):
        if data is None:
            self.data = self.default_data.copy()
        else:
            self.data = data

    def reset(self):
        self.data = self.default_data.copy()

    def get_value(self, key):
        return self.data.get(key, False)

    def set_value(self, key, value):
        self.data[key] = value

    def get_item(self, name):
        self.data['got_{}'.format(name)] = True

    def count(self, key):
        if key in self.data:
            self.data[key] += 1
        else:
            self.data[key] = 0
